﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Menus;

namespace DynamicHierachicalContextMenu
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Items = new ObservableCollection<Item>()
            {
                new Item()
                {
                    HeaderText = "Item 1",
                    SubItems = new ObservableCollection<Item>()
                    {
                        new Item { HeaderText = "Sub 1.1" },
                        new Item { HeaderText = "Sub 1.2" }
                    }
                },
                new Item()
                {
                    HeaderText = "Item 2",
                    SubItems = new ObservableCollection<Item>()
                    {
                        new Item { HeaderText = "Sub 2.1" },
                        new Item { HeaderText = "Sub 2.2" }
                    }
                }
            };

            LayoutRoot.DataContext = this;
        }

        public ObservableCollection<Item> Items { get; set; }

        private void XamContextMenu_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as XamContextMenu).ItemsSource = Items;
        }

    }

    public class Item
    {
        public string HeaderText { get; set; }
        public ObservableCollection<Item> SubItems { get; set; }
    }


}
